nl.tudelft.simulation.dsol.tutorial.section42

## Class Warehouse

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section42.Warehouse

All Implemented Interfaces:
  SellerInterface

    public class Warehouse
    extends Object
    implements SellerInterface

A Warehouse
copyright (c) 2002-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: Lesser General Public License (LGPL) , no warranty.

Version:
  1.0 Dec 8, 2003
Author:
  Peter Jacobs

### Constructor Summary

Constructors
Constructor and Description
`Warehouse(nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface.TimeDouble simulator)` constructs a new Warehouse.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `order(BuyerInterface buyer, long amount)` order a requested amount.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Warehouse

    public Warehouse(nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface.TimeDouble simulator)

constructs a new Warehouse.

Parameters:
  `simulator` - the simulator to schedule on

### Method Detail

#### order

    public final void order(BuyerInterface buyer,
                            long amount)

order a requested amount.

Specified by:
  `order` in interface `SellerInterface`
Parameters:
  `buyer` - the requesting buyer
  `amount` - the requested amount